> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice Outcome

> Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Canonical voice outcome id
</ParamField>

### Response

`VoiceOutcomeDetailResponse`

<ResponseField name="ok" type="boolean" required />

<ResponseField name="outcome" type="VoiceOutcome" required>
  <Expandable title="VoiceOutcome">
    <ResponseField name="agent_name" type="string,null" />

    <ResponseField name="billable_sku" type="string,null" />

    <ResponseField name="billing_status" type="string" required />

    <ResponseField name="call_sid" type="string,null" />

    <ResponseField name="call_type" type="string,null" />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="customer_phone" type="string,null" />

    <ResponseField name="disposition" type="any" required />

    <ResponseField name="duration_seconds" type="integer,null (int32)" />

    <ResponseField name="escalated" type="boolean" required />

    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="metadata" type="any" required />

    <ResponseField name="occurred_at" type="string (date-time)" required />

    <ResponseField name="org_id" type="string,null" />

    <ResponseField name="outcome_source" type="string" required />

    <ResponseField name="primary_intent" type="string,null" />

    <ResponseField name="resolution" type="string" required />

    <ResponseField name="risk_level" type="string,null" />

    <ResponseField name="stream_sid" type="string" required />

    <ResponseField name="tenant_id" type="string" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

<ResponseField name="tenant" type="string" required />

### Status codes

| Code  | Meaning                        |
| ----- | ------------------------------ |
| `200` | Canonical voice outcome detail |
| `400` | Invalid id                     |
| `401` | Unauthorized                   |
| `404` | Voice outcome not found        |
| `503` | Database not configured        |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.voice.stateset.com/api/v1/voice-outcomes/{id}' \
    --header "Authorization: Bearer $STATESET_VOICE_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "ok": true,
    "outcome": {
      "agent_name": "string",
      "billable_sku": "string",
      "billing_status": "string",
      "call_sid": "string",
      "call_type": "string",
      "created_at": "2026-08-31T14:22:05Z",
      "customer_phone": "+1 415 555 0142",
      "disposition": null,
      "duration_seconds": 8,
      "escalated": true,
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "metadata": null,
      "occurred_at": "2026-08-31T14:22:05Z",
      "org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "outcome_source": "string",
      "primary_intent": "string",
      "resolution": "string",
      "risk_level": "string",
      "stream_sid": "string",
      "tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "updated_at": "2026-08-31T14:22:05Z"
    },
    "tenant": "acme-outdoors"
  }
  ```
</ResponseExample>
